.. include:: /Includes.rst.txt .. _ics-download: ==================== iCal download (.ics) ==================== The button :guilabel:`Download iCal-File (.ics)` in the event modal creates a file, which can be imported in all common calendar applications. The file is generated by a PSR-15 middleware (:php:`MEDIAESSENZ\Fullcalendar\Middleware\CalendarIcsMiddleware`) on the path :file:`/event.ics`. The browser sends the data of the event as query parameters: `uid`, `summary`, `dtstart`, `dtend`, `allDay`, `timeZone`, `timeZoneOffset`, `description` and `location`. The parameters `uid`, `dtstart` and `dtend` are required, otherwise the middleware answers with the status 500. .. confval:: icsUrlPrefix :name: ics-urlprefix :type: string :Default: /event.ics? Prefix of the URL of the download link. The middleware only answers on the path :file:`/event.ics` of the domain. Change the prefix only if the site is located in a subdirectory and the path is rewritten accordingly. .. note:: The middleware runs before the site resolution of TYPO3. The path is the same for all sites.